--- a/debian/canfestival-devel.install Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/canfestival-devel.install Mon Mar 02 09:30:08 2009 +0100
@@ -1,3 +1,6 @@
usr/include/canfestival/*
usr/lib/libcanfestival.a
usr/lib/libcanfestival_unix.a
+usr/share/CanFestival-3/src/*
+usr/share/CanFestival-3/include/*
+usr/share/CanFestival-3/drivers/*
\ No newline at end of file
--- a/debian/canfestival-examples.install Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/canfestival-examples.install Mon Mar 02 09:30:08 2009 +0100
@@ -1,4 +1,4 @@
usr/bin/TestMasterSlave
usr/bin/TestMasterMicroMod
-usr/bin/DS401_Slave_Gui
-usr/bin/DS401_Master
+#usr/bin/DS401_Slave_Gui
+#usr/bin/DS401_Master
--- a/debian/canfestival-objdictedit.install Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/canfestival-objdictedit.install Mon Mar 02 09:30:08 2009 +0100
@@ -1,2 +1,2 @@
-usr/share/objdictgen/*
+usr/share/CanFestival-3/objdictgen/*
usr/share/applications/objdictedit.desktop
\ No newline at end of file
--- a/debian/canfestival-objdictedit.postinst Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/canfestival-objdictedit.postinst Mon Mar 02 09:30:08 2009 +0100
@@ -20,7 +20,7 @@
case "$1" in
configure)
- ln -sf /usr/share/objdictgen/objdictedit.py /usr/bin/objdictedit
+ ln -sf /usr/share/CanFestival-3/objdictgen/objdictedit.py /usr/bin/objdictedit
ln -sf /usr/share/objdictgen/objdictedit.py /usr/bin/objdictgen
;;
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/canfestival-virtual.postinst Mon Mar 02 09:30:08 2009 +0100
@@ -0,0 +1,53 @@
+#!/bin/sh
+# postinst script for canfestival
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+DLL_LIST=
+CF_CONFIG=/usr/share/CanFestival-3/objdictgen/canfestival_config.py
+CF_CONFIG_TEMP=/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
+case "$1" in
+ configure)
+ ldconfig
+ cd /usr/lib
+ DLL_LIST=
+ FILES=
+ for file in libcanfestival_can*
+ do
+ DLL_LIST="$file,""$DLL_LIST"
+ done
+ cat $CF_CONFIG_TEMP > $CF_CONFIG
+ echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/canfestival-virtual.postrm Mon Mar 02 09:30:08 2009 +0100
@@ -0,0 +1,57 @@
+#!/bin/sh
+# postinst script for canfestival
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+DLL_LIST=
+CF_CONFIG=/usr/share/CanFestival-3/objdictgen/canfestival_config.py
+CF_CONFIG_TEMP=/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
+
+case "$1" in
+ configure)
+ ;;
+
+ remove|purge)
+ ldconfig
+ cd /usr/lib
+ DLL_LIST=
+ FILES=
+ for file in libcanfestival_can*
+ do
+ DLL_LIST="$file,""$DLL_LIST"
+ done
+ cat $CF_CONFIG_TEMP > $CF_CONFIG
+ echo 'DLL_LIST=["$DLL_LIST"]' >> $CF_CONFIG
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- a/debian/changelog Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/changelog Mon Mar 02 09:30:08 2009 +0100
@@ -1,4 +1,4 @@
-canfestival (3-1) unstable; urgency=low
+canfestival (3.1-%DATEVERSION%) unstable; urgency=low
* Initial release (Closes: #nnnn) <nnnn is the bug number of your ITP>
--- a/debian/control Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/control Mon Mar 02 09:30:08 2009 +0100
@@ -2,7 +2,8 @@
Section: devel
Priority: standard
Maintainer: lolitech <gregory.trelat@lolitech.fr>
-Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
+Build-Depends: debhelper (>= 5)
+#, autotools-dev, libwxgtk2.8-dev
Standards-Version: 3.7.2
Package: canfestival
--- a/debian/control-peak_linux Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/control-peak_linux Mon Mar 02 09:30:08 2009 +0100
@@ -5,38 +5,7 @@
Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
Standards-Version: 3.7.2
-Package: canfestival
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: <insert up to 60 chars description>
-
-Package: canfestival-devel
-Architecture: all
-Description: Canfestival library
- This package contains the CanFestival library for unix platform.
-
-Package: canfestival-examples
-Architecture: all
-Description: Program's Examples for canfestival
- This package contains some test programs you can use as example
- for your own developments.
- - TestMasterSlave : Two CanOpen nodes in the same process
- - TestMasterMicromod : A CanOpen master that control a peak MicroMod module
- - DS401_Master : Master Node for the DS401_Slave_Gui
- - DS401_Slave_Gui : Simulate an I/O module with GUI
-
-Package: canfestival-doc
-Architecture: all
-Description: Documentation for canfestival
-
Package: canfestival-peak
Architecture: all
-Description: Can Driver Interface for Peak Driver
-
-Package: canfestival-objdictedit
-Architecture: all
-Depends: python-wxgtk2.8, xpdf
-Description: A CanOpen Node Editor
- Objdictedit, the Object Dictionary Editor, is a WxPython based GUI that is used to
- create the C file needed to create a new CanOpen node.
-
+Depends: canfestival-devel, canfestival-objdictedit, peak-linux-driver-modules
+Description: Can Driver Interface for Peak Driver
\ No newline at end of file
--- a/debian/control-virtual Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/control-virtual Mon Mar 02 09:30:08 2009 +0100
@@ -5,11 +5,6 @@
Build-Depends: debhelper (>= 5), autotools-dev, libwxgtk2.8-dev
Standards-Version: 3.7.2
-Package: canfestival
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: <insert up to 60 chars description>
-
Package: canfestival-devel
Architecture: all
Description: Canfestival library
@@ -31,11 +26,12 @@
Package: canfestival-virtual
Architecture: all
-Description: Virtual Can Interfaces
+Depends: canfestival-devel, canfestival-objdictedit
+Description: Virtual Can Interfaces
Package: canfestival-objdictedit
Architecture: all
-Depends: python-wxgtk2.8, xpdf
+Depends: python-wxgtk2.8, xpdf, docutils
Description: A CanOpen Node Editor
Objdictedit, the Object Dictionary Editor, is a WxPython based GUI that is used to
create the C file needed to create a new CanOpen node.
--- a/debian/objdictedit.desktop Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/objdictedit.desktop Mon Mar 02 09:30:08 2009 +0100
@@ -4,7 +4,7 @@
Comment=A CanOpen Node Editor
Comment[fr]=Un Editeur de Noeud CanOpen
Exec=/usr/bin/objdictedit
-Icon=/usr/share/objdictgen/objdictedit.png
+Icon=/usr/share/CanFestival-3/objdictgen/networkedit.png
Terminal=false
MultipleArgs=false
Type=Application
--- a/debian/rules Mon Jan 19 13:19:29 2009 +0100
+++ b/debian/rules Mon Mar 02 09:30:08 2009 +0100
@@ -27,45 +27,25 @@
config.status: configure
#### CONFIG.STATUS ####
dh_testdir
+
# Add here commands to configure the package.
- cp debian/control-$(shell echo $(CAN_INTERFACE)) debian/control
- ./configure --can=$(shell echo $(CAN_INTERFACE)) --prefix=/usr
-
-##############
-# And now the simple things for dpatch. Here we only apply/unapply the patches.
-# You can do more things with dpatch, like having patches only applied on
-# a special architecture - see the non-dh version of the sample for this!
-patch: patch-stamp
-patch-stamp:
- dpatch apply-all
- dpatch cat-all >patch-stamp
- touch patch-stamp
-
-unpatch:
- dpatch deapply-all
- rm -rf patch-stamp debian/patched
-
-##################
-#Architecture
-build: build-arch build-indep
-
-build-arch: build-arch-stamp
-build-arch-stamp: config.status patch
- #### BUILD-ARCH-STAMP ####
- # Add here commands to compile the arch part of the package.
- $(MAKE)
- touch $@
+ cp debian/control-$(shell echo $(CAN_INTERFACE)) debian/control; \
+ ./configure --can=$(shell echo $(CAN_INTERFACE)) --prefix=/usr
+
+build: build-indep
build-indep: build-indep-stamp
+
build-indep-stamp: config.status
#### BUILD-INDEP-STAMP ####
# Add here commands to compile the indep part of the package.
-
-clean: unpatch
+ $(MAKE)
+
+clean:
#### CLEAN ####
dh_testdir
dh_testroot
- rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
+ rm -f build-indep-stamp #CONFIGURE-STAMP#
# Add here commands to clean up after the build process.
-$(MAKE) clean
@@ -89,30 +69,26 @@
# Add here commands to install the indep part of the package into
# debian/<package>-doc.
+ $(MAKE) -C drivers PREFIX=$(CURDIR)/debian/canfestival/usr install
+ $(MAKE) -C src PREFIX=$(CURDIR)/debian/canfestival/usr install
+ $(MAKE) -C drivers PREFIX=$(CURDIR)/debian/canfestival/usr install
+ $(MAKE) -C examples PREFIX=$(CURDIR)/debian/canfestival/usr install
+ $(MAKE) -C objdictgen PREFIX=$(CURDIR)/debian/canfestival/usr/share/CanFestival-3 install
+
+ mkdir -p $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/src
+ mkdir -p $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/include
+ mkdir -p $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/drivers/unix
+ cp -a $(CURDIR)/debian/canfestival/usr/include/canfestival/* $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/include
+ cp -a $(CURDIR)/debian/canfestival/usr/lib/* $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/src
+ cp -a $(CURDIR)/debian/canfestival/usr/lib/libcanfestival_unix.a $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/drivers/unix
+ cp $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/objdictgen/canfestival_config.py $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
+
+ mkdir -p $(CURDIR)/debian/canfestival/usr/share/applications
+ cp objdictgen/networkedit.png $(CURDIR)/debian/canfestival/usr/share/CanFestival-3/objdictgen
+ cp debian/objdictedit.desktop $(CURDIR)/debian/canfestival/usr/share/applications/objdictedit.desktop
dh_install -i --sourcedir=debian/canfestival
-install-arch:
- #### INSTALL-ARCH ####
- dh_testdir
- dh_testroot
- dh_clean -k -s
- dh_installdirs -s
-
- # Add here commands to install the arch part of the package into
- # debian/tmp.
-
- $(MAKE) -C src PREFIX=$(CURDIR)/debian/canfestival/usr install
- $(MAKE) -C drivers PREFIX=$(CURDIR)/debian/canfestival/usr install
- $(MAKE) -C examples PREFIX=$(CURDIR)/debian/canfestival/usr install
- $(MAKE) -C objdictgen PREFIX=$(CURDIR)/debian/canfestival/usr/share install
- cp debian/objdictedit.desktop $(CURDIR)/debian/canfestival/usr/share/applications/objdictedit.desktop
- cp debian/objdictedit.png $(CURDIR)/debian/canfestival/usr/share/objdictgen/objdictedit.png
- dh_install -s
-
-# Must not depend on anything. This is to be called by
-# binary-arch/binary-indep
-# in another 'make' thread.
binary-common:
#### BINARY-COMMON ####
dh_testdir
@@ -144,13 +120,7 @@
dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
- #### BINARY-INDEP ####
$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
- #### BINARY-ARCH ####
- $(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
-
-binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch patch unpatch
+binary: binary-indep
+.PHONY: build clean binary-indep binary install install-indep
--- a/debian/substvars Mon Jan 19 13:19:29 2009 +0100
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,1 +0,0 @@
-CAN_INTERFACE:$CAN_INTERFACE
\ No newline at end of file